org.apache.felix.scr.annotations

## Enum ReferencePolicyOption

- java.lang.Object
- - java.lang.Enum<ReferencePolicyOption>
  - - org.apache.felix.scr.annotations.ReferencePolicyOption

All Implemented Interfaces:
  Serializable, Comparable<ReferencePolicyOption>

Deprecated.
Use the OSGi annotations from org.osgi.service.component.annotations.*

    @Deprecated
    public enum ReferencePolicyOption
    extends Enum<ReferencePolicyOption>

Options for `Reference.policyOption()` property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GREEDY` Deprecated. When a new target service for a reference becomes available, references having the greedy policy option will bind the new target service.
`RELUCTANT` Deprecated. The reluctant policy option is the default policy option.

### Method Summary

Methods
`static ReferencePolicyOption` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static ReferencePolicyOption[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RELUCTANT

    public static final ReferencePolicyOption RELUCTANT

Deprecated.
The reluctant policy option is the default policy option. When a new target service for a reference becomes available, references having the reluctant policy option for the static policy or the dynamic policy with a unary cardinality will ignore the new target service. References having the dynamic policy with a multiple cardinality will bind the new target service

#### GREEDY

    public static final ReferencePolicyOption GREEDY

Deprecated.
When a new target service for a reference becomes available, references having the greedy policy option will bind the new target service.

### Method Detail

#### values

    public static ReferencePolicyOption[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReferencePolicyOption c : ReferencePolicyOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReferencePolicyOption valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null